Podręcznik PHP
Poprzedni |  | Następny

# mysqli_multi_query

(no version information, might be only in CVS)

mysqli_multi_query

(no version information, might be only in CVS)

mysqli->multi_query -- Performs a query on the database

## Description

Procedural style:

bool mysqli_multi_query ( object link, string query)

Object oriented style (method):

class mysqli {
bool multi_query ( string query)
}

The mysqli_multi_query() executes one or multiple queries which are concatenated by a semicolon.

To retrieve the resultset from the first query you can use mysqli_use_result() or mysqli_store_result(). All subsequent query results can be processed using mysqli_more_results() and mysqli_next_result().

## Return values

Zwraca `TRUE` w przypadku sukcesu, `FALSE` w przypadku porażki.

## See also

mysqli_use_result(), mysqli_store_result(), mysqli_next_result(), mysqli_more_results()

Poprzedni | Spis treści | Następny
mysqli_more_results | Początek rozdziału | mysqli_next_result